<?php
	/**************************************************************************\
	* phpGroupWare                                                             *
	* http://www.phpgroupware.org                                              *
	* This file written by Dan Kuykendall <seek3r@phpgroupware.org>            *
	* --------------------------------------------                             *
	*  This program is free software; you can redistribute it and/or modify it *
	*  under the terms of the GNU General Public License as published by the   *
	*  Free Software Foundation; either version 2 of the License, or (at your  *
	*  option) any later version.                                              *
	\**************************************************************************/

	/* $Id: header.inc.php.template,v 1.35.2.5 2002/08/30 22:56:34 seek3r Exp $ */

	/**************************************************************************\
	* !!!!!!! EDIT THESE LINES !!!!!!!!                                        *
	* This setting allows you to easily move the include directory and the     *
	* base of the phpGroupWare install. Simple edit the following 2 lines with * 
	* the absolute path to fit your site, and you should be up and running.    *
	\**************************************************************************/

	define('PHPGW_SERVER_ROOT','/var/www/html/phpgroupware');
	define('PHPGW_INCLUDE_ROOT','/var/www/html/phpgroupware');
	$GLOBALS['phpgw_info']['server']['header_admin_password'] = 'phpgrw';

	$GLOBALS['phpgw_domain']['default'] = array (
		'db_host' => 'localhost', 
		'db_name' => 'phpgrw', 
		'db_user' => 'phpgrw', 
		'db_pass' => 'phpgrw', 
		// Look at the README file
		// you need to install php-mysql in this case
		'db_type' => 'mysql',
		// This will limit who is allowed to make configuration modifcations
		'config_passwd' => 'phpgrw'
	);

	$GLOBALS['phpgw_info']['server']['db_persistent'] = True;

	/*
	** phpGroupWare can handle session management using the database, but if
	** you are using PHP4 you can usually get better performance by having phpGroupWare
	** use the session support built into PHP4. PHP3 users will have to use the database.
	** Your choices are 'db' or 'php4'
	*/
	$GLOBALS['phpgw_info']['server']['sessions_type'] = 'php4';

	/*
	** If you want to have your domains in a select box, change to True
	** If not, users will have to login as user@domain
	** Note: This is only for virtual domian support, default domain users can login only using
	** there loginid.
	*/
	$GLOBALS['phpgw_info']['server']['show_domain_selectbox'] = False;

	/* Select which login template set you want, most people will use default */
	$GLOBALS['phpgw_info']['login_template_set'] = 'default';

	/* This is used to control mcrypt's use */
	$GLOBALS['phpgw_info']['server']['mcrypt_enabled'] = False;
	/* Set this to "old" for versions < 2.4, otherwise the exact mcrypt version you use. */
	$GLOBALS['phpgw_info']['server']['versions']['mcrypt'] = '2.5.5';

	/*
	** This is a random string used as the initilazation vector for mcrypt
   ** feel free to change it when setting up phpgroupware on a clean database,
	** but you must not change it after that point!
	** It should be around 30 bytes in length.
   */
	$GLOBALS['phpgw_info']['server']['mcrypt_iv'] = '{MCRYPT_IV}';

	/* Uncomment this out and use this for supporting different domains using this single install */
	/* (ignore if you are only supporting a single domain)*/
/*
	$GLOBALS['phpgw_domain']['domain2.com'] = array (
		'db_host'       => 'localhost', 
		'db_name'       => 'phpgw_domain2', 
		'db_user'       => 'phpgroupware', 
		'db_pass'       => 'their_password', 
		'db_type'       => 'mysql',
		'config_passwd' => 'changeme'
	);
*/

	/* If you want phpGroupWare to be cached by proxy servers, uncomment the following */
	/* This is NOT recommended, but phpGroupWare should still work fine. */
	if (!isset($GLOBALS['phpgw_info']['flags']['nocachecontrol']) || !$GLOBALS['phpgw_info']['flags']['nocachecontrol'] == True)
	{
		header('Cache-Control: no-cache, must-revalidate');  // HTTP/1.1
		header('Pragma: no-cache');                          // HTTP/1.0
	}

	/* debugging settings */
	define('DEBUG_APP',  False);
	define('DEBUG_API',  False);
	define('DEBUG_DATATYPES',  True);
	define('DEBUG_LEVEL',  3);
	define('DEBUG_TIMER', False);

	if (!function_exists('perfgetmicrotime'))
	{
		function perfgetmicrotime()
		{
			list($usec, $sec) = explode(' ',microtime());
			return ((float)$usec + (float)$sec);
		}
	}

	if (DEBUG_TIMER)
	{
		$GLOBALS['debug_timer_start'] = perfgetmicrotime();
	}

	/**************************************************************************\
	* Do not edit these lines                                                  *
	\**************************************************************************/
	define('PHPGW_API_INC',PHPGW_INCLUDE_ROOT.'/phpgwapi/inc');
	include(PHPGW_SERVER_ROOT.'/phpgwapi/setup/setup.inc.php');
	$GLOBALS['phpgw_info']["server"]['versions']['phpgwapi'] = $setup_info['phpgwapi']['version'];
	$GLOBALS['phpgw_info']['server']['versions']['current_header'] = $setup_info['phpgwapi']['versions']['current_header'];
	unset($setup_info);
	$GLOBALS['phpgw_info']['server']['versions']['header'] = '1.21';
	/* This is a fix for NT */
	if (!isset($GLOBALS['phpgw_info']['flags']['noapi']) || !$GLOBALS['phpgw_info']['flags']['noapi'] == True)
	{
		include(PHPGW_API_INC . '/functions.inc.php');
		include(PHPGW_API_INC . '/xml_functions.inc.php');
		include(PHPGW_API_INC . '/soap_functions.inc.php');
	}

	/* 
	  Leave off the final php closing tag, some editors will add
	  a \n or space after which will mess up cookies later on
	*/
